export interface ApprovalParams {
    isVisible: boolean;
    approvalType: "permit2" | "permit" | "erc20";
    isApprovalGiven: boolean;
}
export declare const setApprovalData: import('@reduxjs/toolkit').ActionCreatorWithPayload<any, "approval/setApprovalData">;
declare const _default: import('redux').Reducer<ApprovalParams>;
export default _default;
